#ifndef cli_wrapAbstract_hpp
#define cli_wrapAbstract_hpp


/******************************************************
*
** cli_wrapAbstract.hpp by Sinisa Segvic:
*
** the abstract interface to a line based io terminal 
** suitable for invocation outside the visibility
** of a global memory manager which is
** needed for proper functioning of iostreams
* 
*******************************************************/



class cli_wrapAbstract{
public:
  virtual ~cli_wrapAbstract(){}
public:
  virtual char const* get() =0;
  virtual bool eof() =0;
  virtual void put(char const* ) =0;
  virtual void msg(char const* ) =0;
};

#endif
