#include "img_vector.hpp"
#include "img_data.hpp"

#include <assert.h>

namespace{

}

img_vector::img_vector(size_t sz): imp_(sz){}
img_vector::~img_vector(){}

void img_vector::clear(){
  imp_.clear();
}
int img_vector::size() const{
  return static_cast<int>(imp_.size());
}
void img_vector::push(const img_data& img){
  imp_.push_back(img);
}
const img_data& img_vector::operator[](int i) const{
  assert(i>=0 && i<static_cast<int>(size()));
  return imp_[i];
}

img_data& img_vector::operator[](int i){
  assert(i>=0 && i<static_cast<int>(size()));
  return imp_[i];
}
void img_vector::resize(int i){
  imp_.resize(i);
}

