#ifndef img_io_save_ras_hpp
#define img_io_save_ras_hpp

#include "img_io_save.hpp"

class img_data;

/******************************************************
*
*        img_io_save_ras.H  by Sinisa Segvic
*
** writing images from a img_data
** structure to a SUN raster file format (openwin)
*
** depends on:
**   img_data, img_io_save, img_util, 
**   util_sr
*
** version 4.5 (2001-03-05)
*
*******************************************************/


class img_io_save_ras:
  public img_io_save
{
public:
  img_io_save_ras(char const*);
  img_io_save_ras();

  virtual ~img_io_save_ras();

  virtual void operator()(const img_data& img);

  static char const* extension();
};




#endif

