#ifndef ipp_addMask_hpp
#define ipp_addMask_hpp

class img_data;

namespace ipp{
  // For each pixel v of img_src satisfying the condition:
  //    v < threshold
  // the corresponding pixel of img_dst is set to 0
  void addMaskThreshold(
    const img_data& src, double threshold,
    img_data& dst);
  // Each pixel v of img being nearer to the 
  // border than margin is set to 0
  void addMaskMargin(img_data& img, int margin);
}

#endif

