#ifndef ipp_histogram_hpp
#define ipp_histogram_hpp

class img_data;

#include<vector>

namespace ipp{
  void histogram(
    const img_data& src, 
    std::vector<int>& h);
  void histogram(
    const img_data& src, int margin, 
    std::vector<int>& h);
  void histogram(
    const img_data& src, const img_data& mask, 
    int margin, std::vector<int>& h);
  int getHistPos(
    const std::vector<int>& hist, double p);
  // void range(...) transferred to ipp_range!
}

#endif

