#include "util_fs.hpp"

#include <io.h>

#include <string>
#include <vector>
#include <stdexcept>


char util_fs::dirDelimiter(){
  return '\\';
}
const char* util_fs::defaultTempDir(){
  return "C:\temp";
}


bool util_fs::checkFileWrite(char const* p){
  return _access(p, 2)==0;
}
bool util_fs::checkFileRead(char const* p){
  return _access(p, 0)==0;
}



bool util_fs::readDir(char const* path,
  std::vector<std::string>& entries)
{
  throw std::runtime_error("util_fs::readDir not implemented");
  return true;
}


bool util_fs::isDir(char const* path){
  throw std::runtime_error("util_fs::isDir not implemented");
  //struct stat buf;
  //stat (path, &buf);
  //return S_ISDIR(buf.st_mode);
}



