#ifndef util_time_hpp
#define util_time_hpp

/******************************************************
*
*        util_time.cpp  by Sinisa Segvic
*
** timing and profiling
**
*
*******************************************************/


#ifndef NTIMEPROFILE

class util_time{
public:
  typedef unsigned long Data;
  util_time();
  //returns time
  Data operator()();
  Data frequency(){return frequency_;}
public:
  static int secEpoch();
  static int msDayUtc();
private:
  Data frequency_;
  int shift_;
};

#else

class util_time{
public:
  util_time(){}

  typedef unsigned long Data;
  //returns time
  Data operator()(){return 1;}
  Data frequency(){return 1;}
public:
  static int secEpoch(){return 1;}
  static int msDayUtc(){return 1;}
};

#endif

#endif
