#include "vs_file_single.hpp"

#include "../img/img_data.hpp"
#include "../img/io/img_io_load.hpp"

#include <string>
//#include <iostream>

//////////////////////////////////////////////////
//vs_file_single private implementation

class vs_file_single_imp{
public:
  vs_file_single_imp(char const* filename);
  img_data img_;
  std::string name_;
};

vs_file_single_imp::vs_file_single_imp(
  char const* filename)
:
  name_(filename)
{
  img_io_load::load(filename, img_);
}

//////////////////////////////////////////////////
//vs_file_single implementation

vs_file_single::vs_file_single(
  char const* name)
:
  pimp(new vs_file_single_imp(name))
{
}

vs_file_single::~vs_file_single(){
  //std::cerr <<"vs_file_single::~vs_file_single - " <<pimp->name_ <<"\n";
}



//////////////////////////////////////////////////
//attributes
char const* vs_file_single::name(){
  return pimp->name_.c_str();
}  
const img_fmt& vs_file_single::fmt(){
  return pimp->img_.fmt();
}  

//////////////////////////////////////////////////
//operations
void vs_file_single::getFrameSimple(img_data& img){
  img=pimp->img_;
}  




