#ifndef win_ann_dump_hpp
#define win_ann_dump_hpp

/******************************************************
*
**  win_ann_dump.CPP  by Sinisa Segvic
*
**  dumping annotation and img to the
**  eps-ras filecouple
*
*******************************************************/


class win_ann_abstract;
class img_data;

namespace grid{
  class draw;
}
  
namespace win_ann_dump{
  void toOneFile(
    const win_ann_abstract& a,
    const img_data& d,
    char const* basename);
  void toTwoFiles(
    const win_ann_abstract& a,
    const img_data& d,
    char const* basename);
  void toFile(
    const win_ann_abstract& a,
    int w, int h,
    char const* basename);
  void toDC(
    const win_ann_abstract& a, 
    grid::draw& dc);
}

#endif

