#include "grid_draw_rgb.hpp"
#include "grid_draw_colours.hpp"

//#include <assert.h>

//#include <memory>



//////////////////////////////////////
// construction
grid::draw_rgb::draw_rgb(
  int x_f, int x_o,
  int y_f, int y_o)
:
  draw(x_f,x_o, y_f,y_o)
{
}
grid::draw_rgb::~draw_rgb()
{}


/////////////////////////////////////////////////
// redirected functions

void grid::draw_rgb::drawPtDotBigImp(int x, int y)
{
  draw::drawPtDotBigImp(x,y);
}
void grid::draw_rgb::drawContourDotImp(
  const std::vector<std::pair<int,int> >& points)
{
  draw::drawContourDotImp(points);
}

void grid::draw_rgb::drawContourBoldImp(
  const std::vector<std::pair<int,int> >& points)
{
  draw::drawContourBoldImp(points);
}

void grid::draw_rgb::drawAreaImp(
  const std::vector<std::pair<int,int> >& points)
{
  draw::drawAreaImp(points);
}

void grid::draw_rgb::playSound(int t, int f)
{
  draw::playSound(t,f);
}



/////////////////////////////////////////////////
// colour functions

void grid::draw_rgb::colour(int colIndex)
{
  colourImp(
    draw_colours::instance().colour(colIndex).rgb_[0],
    draw_colours::instance().colour(colIndex).rgb_[1],
    draw_colours::instance().colour(colIndex).rgb_[2]
  );
}
void grid::draw_rgb::grey(int colIndex) 
{
  colourImp(
    draw_colours::instance().grey(colIndex).rgb_[0],
    draw_colours::instance().grey(colIndex).rgb_[1],
    draw_colours::instance().grey(colIndex).rgb_[2]
  );
}
void grid::draw_rgb::bw(bool white) 
{
  colourImp(
    draw_colours::instance().bw(white).rgb_[0],
    draw_colours::instance().bw(white).rgb_[1],
    draw_colours::instance().bw(white).rgb_[2]
  );
}

