#include "img_access_fill.hpp"
#include "../img_data.hpp"
#include "../io/img_io_save_util.hpp"
#include "../../util/util_time.hpp"

#include <iostream>

/******************************************************
*
*  TEST DRIVER for component img_access
*
** uses routines from img_access_fill.cpp
*
** author: Sinisa Segvic
*
*******************************************************/
/*
NAME=imgtest
PACKAGES=
  util/util_endian
  util/util_bmp
  util/util_sr
  util/util_pxm
  util/util_time
  util/util_string
  img/
FILTER=
UNFILTER=
  img_access_test.cpp
CONFIG=
*/                                                                                

/*int main(){
  std::cout <<"Starting the program.\n";
  img_data img1(img_fmt(320,240,1));
  img_data img2(img_fmt(320,240,1));
  img_data img3(img_fmt(320,240,1));
  img_data img4(img_fmt(320,240,1));

  const int count=1000;

  int t0=util_time::msDayUtc();
  {for (int i=0; i<count; ++i){
    img_access_fillChbdIndex(img1,50);
  }}

  int t1=util_time::msDayUtc();
  {for (int i=0; i<count; ++i){
    img_access_fillChbdPtr(img2,50);
  }}
  
  int t2=util_time::msDayUtc();
  {for (int i=0; i<count; ++i){
    img_access_fillChbdTemplateIndex(img3,50);
  }}

  int t3=util_time::msDayUtc();
  {for (int i=0; i<count; ++i){
    img_access_fillChbdTemplate(img4,50);
  }}
  

  int tn=util_time::msDayUtc();

  img_io_save_util::save(img1, "proba1.bmp");
  img_io_save_util::save(img2, "proba2.bmp");
  img_io_save_util::save(img3, "proba3.bmp");
  img_io_save_util::save(img4, "proba4.bmp");

  std::cout <<"Fill index:         "<<t1-t0 <<" ms\n";
  std::cout <<"Fill ptr:           "<<t2-t1 <<" ms\n";
  std::cout <<"Fill template index:"<<t3-t2 <<" ms\n";
  std::cout <<"Fill template ptr:  "<<tn-t3 <<" ms\n";

  std::cout <<"Exiting the program.\n";
  return 0;
}

*/