#ifndef img_dbg_hpp
#define img_dbg_hpp

/******************************************************
*
*  img_dbg by Sinisa Segvic
*
** img_dbg: debugging output for classes in img_data.hpp
*
*******************************************************/
#include "img_data.hpp"
#include <string>
#include <iosfwd>

std::ostream& operator<<(std::ostream& os, const img_fmt& f);

std::string img_dbg(const img_fmt& f, 
   char const* prolog="img_fmt", char const* epilog="\n");

#endif
