#ifndef img_vector_hpp
#define img_vector_hpp

/******************************************************
*
** img_vector by Sinisa Segvic:
*
** a simple collection of img_data-s
** img_vector IS_A img_vectorAbstract
*
*******************************************************/

#include "img_vectorAbstract.hpp"
#include <vector>


class img_vector:
  public img_vectorAbstract
{
public:
  img_vector(size_t sz=0);
  virtual ~img_vector();

  virtual void clear();
  virtual void push(const img_data& e);
  virtual int size() const;
  virtual const img_data& operator[](int i)  const;
public:
  img_data& operator[](int i);
  void resize(int i);
private:
  std::vector<img_data> imp_;
};


#endif
