#ifndef img_io_save_bmp_hpp
#define img_io_save_bmp_hpp

#include "img_io_save.hpp"

class img_data;
class util_bmp_BFH;
class util_bmp_BI;


/******************************************************
*
*        img_io_save_bmp.H  by Sinisa Segvic
*
** writing images from a img_data
** structure to a bmp file format
*
** depends on:
**   img_data, img_io_save, img_util, 
**   util_bmp
*
** version 4.1 (2000-08-08)
*
*******************************************************/


class img_io_save_bmp:
  public img_io_save
{
public:
  img_io_save_bmp(char const*);
  img_io_save_bmp();

  virtual ~img_io_save_bmp();

  virtual void operator()(const img_data& img);

  static char const* extension();
};



#endif

