#ifndef img_io_save_pxm_hpp
#define img_io_save_pxm_hpp

#include "img_io_save.hpp"

/******************************************************
*
** img_io_save_pxm.H  by Sinisa Segvic
*
** writing images from a img_data
** structure to a ppm and pgm file formats
*
** depends on:
**   img_data, img_io_save, img_util, 
**   util_pxm
*
*******************************************************/


class img_io_save_pxm:
  public img_io_save
{
public:
  img_io_save_pxm(char const*);
  img_io_save_pxm();

  virtual ~img_io_save_pxm();

  virtual void operator()(const img_data& img);

  static char const* extension1();
  static char const* extension3();
};



#endif

