#ifndef ui_reportAbstract_hpp
#define ui_reportAbstract_hpp

/******************************************************
*
** ui_reportAbstract by Sinisa Segvic:
*
** holds execution times of various 
** suboperations of a cvsh procedure
*
*******************************************************/

class ui_reportAbstract{
public:
  virtual ~ui_reportAbstract(){};
  virtual void push_back(char const*, int) =0;
  virtual char const* description(int) const =0;
  virtual int duration(int) const =0;
  virtual int size() const =0;
};

#endif
