#ifndef util_avi_hpp
#define util_avi_hpp


namespace util{

  struct AviInfo;

  class AviWrite{
    AviInfo* pai_;
  public:
    //opens Avi file with format w*h*szpix
    AviWrite(char const *file, int w, int h, int szpix,
             int szBits, int rate=8);
    ~AviWrite();
    // adds new frame to an open avi file.
    void operator()(void const* buffer, int time);
  };

  class AviRead{
    AviInfo* pai_;
  public:
    AviRead(char const *file);
    ~AviRead();

    int countFrames();

    int szBits();

    int szPixel();
    int width();
    int height();

    void* getFrame(int frame);

    int time(int frame);
  };
}

#endif
