#ifndef util_os_hpp
#define util_os_hpp

/******************************************************
*
** util_os.hpp  by Sinisa Segvic:
*
** Build environment detection functions
*
*******************************************************/

#include <string>

namespace util_os{
struct env{
  static std::string os();
  static std::string cxx();
  static std::string version();
  static std::string cpu();
  static std::string pid();

  static std::string report(int argc, char* argv[]);
};

void printBacktrace();

} //end namespace util_os

#endif
