#ifndef util_w32_hpp
#define util_w32_hpp

/******************************************************
*
** util_w32.h by Sinisa Segvic:
*
** Various C-style functions for 
** MS Win32 system operations:
*
*******************************************************/

class img_data;
typedef struct HDC__* HDC ;

namespace util_w32{
  //OS version detection
  bool winNT4or98();
  bool winNT4();
  
  //captures desktop and stores it to the provided buffer
  void captureDesktopRGB(void* buf, int x, int y, int width, int height);

  //returns false if nothing is drawn due to OS limitations
  bool drawImg(HDC hdc, const img_data& img, int posx, int posy);
};

#endif
