#ifndef vd_file_hpp
#define vd_file_hpp

/******************************************************
*
*  vd_file by Sinisa Segvic
*
** storing a sequence of image frames 
** with common format to a file
*
** vd_file IS_A vd_base
*
*******************************************************/

#include "vd_base.hpp"


class vd_file: 
  public vd_base
{
  
//construction
protected:
  vd_file(const img_fmt& f):vd_base(f){}
public:
  virtual ~vd_file();

//vd_base attributes
public:
  virtual bool isFile(){ return true;}
  virtual bool isWin(){ return false;}
  virtual bool canReformat(){ return false;}

//operations
public:
  virtual void operator()(
      const img_data& img, int time=0, int frame=-1)=0;
};


#endif
