#include "vs_file_wmv.hpp"
#include "vs_file_avi.hpp"

class vs_file_wmv_imp: 
  public vs_file_avi
{
public:
  vs_file_wmv_imp(const char* filename):
    vs_file_avi(filename){}
};

vs_file_wmv::vs_file_wmv(
  const char* filename)
:
  pimp (new vs_file_wmv_imp(filename))
{
}
vs_file_wmv::~vs_file_wmv(){
  delete pimp;
}


//attributes

int vs_file_wmv::count(){
  return pimp->count();
}
int vs_file_wmv::msDayUtc(){
  return pimp->msDayUtc();
}
char const* vs_file_wmv::name(){
  return pimp->name();
}

const img_fmt& vs_file_wmv::fmt(){
  return pimp->fmt();
}



// operations
void vs_file_wmv::getFrameSimple(img_data& img){
  pimp->getFrame(img);
}  


