#ifndef vs_grab_linux1394_hpp
#define vs_grab_linux1394_hpp

/******************************************************
*
** vs_grab_linux1394.h by Sinisa Segvic
*
** implements the interface to an IEEE 1394
** digital camera (Linux only)
*
** vs_grab_linux1394 IS_A vs_grab
*
*******************************************************/

#include "vs_grab.hpp"
#include "../img/img_data.hpp"

class vs_grab_linux1394: 
  public vs_grab
{
public:
  vs_grab_linux1394(const CtorArg& arg);
  virtual ~vs_grab_linux1394();

// run-time identification
public:
  static char const* s_name();
  virtual char const* name();

public:
  virtual const img_fmt& fmt();
  virtual void getFrameSimple(img_data&);
  virtual int msDayUtc();

//private implementation
private:
  int port_;
  int index_;
  img_fmt fmt_;
};

#endif
