#include "win_x_connection.hpp"


win_x_connection::win_x_connection(){
  if (!XInitThreads())
    throw "win_x_connection::ctor - "
          "XInitThreads returned 0.";
  dpy= XOpenDisplay(0);
  if (!dpy)
    throw "win_x_connection::ctor - "
          "XOpenDisplay returned 0.";
}

win_x_connection::~win_x_connection(){
  XCloseDisplay(dpy);
}

win_x_connection& win_x_connection::instance(){
  static win_x_connection theObject;
  return theObject;
}

